// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1

Item {
    id: part
    width: 150
    height: 160
    visible: true;
    Flipable {
        id: main
        property bool flipped: false
        width: 150
        height: 160

        front: Cell {
            id: f
            x: 5
            y: 5
            rang: "a"
        }
        back: Cell {
            id: b
            x: 5
            y: 5
            rang: "b"
        }

        transform: Rotation {
            id: rotation
            origin.x: 75; origin.y: 85
            axis {x: 0; y: 1; z:0}
            angle: 0
        }

        states: State {
            name: "back"
            PropertyChanges { target: rotation; angle: 180}
            when: main.flipped
        }

        transitions: Transition {
            NumberAnimation { target: rotation; property: "angle"; duration: 2000;}
        }

        MouseArea {
            anchors.fill: main
            onClicked: main.flipped = !main.flipped

        }
    }
}
